<!DOCTYPE html>

<html lang="en" data-content_root="../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>monitoring &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../../_static/alabaster.css?v=cb25574f" />
    <script src="../../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../../_static/doctools.js?v=888ff710"></script>
    <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="noise" href="noise.html" />
    <link rel="prev" title="Modules CMOS" href="../modules_cmos.html" />
   
  <link rel="stylesheet" href="../../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-cmos.monitoring.monitoring_analysis">
<span id="monitoring"></span><h1>monitoring<a class="headerlink" href="#module-cmos.monitoring.monitoring_analysis" title="Link to this heading">¶</a></h1>
<section id="monitoring-analysis-module">
<h2>monitoring analysis module<a class="headerlink" href="#monitoring-analysis-module" title="Link to this heading">¶</a></h2>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Author</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Benoit Serra</p></td>
<td><p>monitoring</p></td>
<td><p>Mon Jun 17 15:29:35 2019</p></td>
</tr>
</tbody>
</table>
<p>This module can be found in pydecha/modules/monitoring/monitoring_analysis.py.
Please modify the docstrings accordingly to provide the users a simple and
detailed explanation of your algorithm for this module.</p>
<section id="data-extraction">
<h3>Data extraction<a class="headerlink" href="#data-extraction" title="Link to this heading">¶</a></h3>
<p>The monitoring data is a serie of .txt files in the directory that is defined
in the ‘params/data_path’ of the config file.
Each file should respect the formatting adopted for PYMONT:</p>
<dl class="simple">
<dt>Comment lines</dt><dd><p>Preceded by ‘#’</p>
</dd>
<dt>Separators</dt><dd><p>Fields are separated by tabs ‘t’</p>
</dd>
</dl>
<p>All instruments are defined by their tag, for example, all lakeshores are
usually defined with a ‘T’ followed by a three digit number.</p>
<p>Conventions can change, but the monitoring module use the conventions of
pymont:</p>
<dl class="simple">
<dt>T</dt><dd><p>Temperature controller (Lakeshores)</p>
</dd>
<dt>P</dt><dd><p>Pressure gauges controller (TPG262)</p>
</dd>
<dt>C</dt><dd><p>Compressor (Sumitomo F70)</p>
</dd>
</dl>
</section>
<section id="plotting-the-data">
<h3>Plotting the data<a class="headerlink" href="#plotting-the-data" title="Link to this heading">¶</a></h3>
<p>The plots are divided by instruments. For now there is no option to mix the
plots from different instruments.
For now only three categories are available</p>
<p>These plotting functions are linked to the instrument tag using a dictionnary:</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="linenos">1</span>                    <span class="s1">&#39;P&#39;</span><span class="p">:</span> <span class="n">plot_pressure</span><span class="p">,</span>
<span class="linenos">2</span>                    <span class="s1">&#39;C&#39;</span><span class="p">:</span> <span class="n">plot_compressor</span><span class="p">}</span>
<span class="linenos">3</span>
</pre></div>
</div>
</section>
<section id="analysis-block">
<h3>Analysis block<a class="headerlink" href="#analysis-block" title="Link to this heading">¶</a></h3>
</section>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="cmos.monitoring.monitoring_analysis.module">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cmos.monitoring.monitoring_analysis.</span></span><span class="sig-name descname"><span class="pre">module</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">module_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">yaml_dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#cmos.monitoring.monitoring_analysis.module" title="Link to this definition">¶</a></dt>
<dd><p>Monitoring analysis block</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>module_name</em>) – Name of the module as string.</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> (<em>yaml_dict</em>) – full dictionnary of the config file.</p></li>
</ul>
</dd>
<dt class="field-even">Return clean_output()<span class="colon">:</span></dt>
<dd class="field-even"><p>a cleaned dictionnary with the parameters saved</p>
</dd>
</dl>
<p>The monitoring analysis requires the following parameters in the configuration
file:</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>data_path</em>) – absolute path of where the data is.</p></li>
<li><p><strong>(</strong><strong>list</strong><strong>)</strong> (<em>instruments</em>) – list of all instrument to display in the plot.</p></li>
<li><p><strong>(</strong><strong>bool</strong><strong>)</strong> (<em>comments</em>) – True to allow the comments in monitoring file to be
displayed on the graph.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../modules_cmos.html">Modules CMOS</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#monitoring-analysis-module">monitoring analysis module</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#data-extraction">Data extraction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#plotting-the-data">Plotting the data</a></li>
<li class="toctree-l4"><a class="reference internal" href="#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#cmos.monitoring.monitoring_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="noise.html">noise</a></li>
<li class="toctree-l2"><a class="reference internal" href="preampgain.html">preampgain</a></li>
<li class="toctree-l2"><a class="reference internal" href="cellgain.html">cellgain</a></li>
<li class="toctree-l2"><a class="reference internal" href="gain.html">gain</a></li>
<li class="toctree-l2"><a class="reference internal" href="cosmetics.html">cosmetics</a></li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../index.html">Documentation overview</a><ul>
  <li><a href="../modules_cmos.html">Modules CMOS</a><ul>
      <li>Previous: <a href="../modules_cmos.html" title="previous chapter">Modules CMOS</a></li>
      <li>Next: <a href="noise.html" title="next chapter">noise</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../../_sources/modules/modules_cmos/monitoring.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>